darkice (1.3-2) experimental; urgency=medium

  * Remove unmaintained init script. Consequently:
      - debian/default: removed.
      - debian/init: removed
      - rc.darkice: removed
  * debian/copyright:
      - Added missing authors.
      - Added missing GPL-2+ and LGPL-2.1+ licenses.
      - Fix formatting of Copyright and License fields.
  * debian/patches/0002_fix-section-spelling-error.patch: correct spelling in
      darkice.cfg.5 man page.
  * debian/tests/*: added to provide simple test.

 -- Marc Bigler <marc@towards.ch>  Sun, 24 Mar 2019 11:04:29 +0100

darkice (1.3-1) experimental; urgency=medium

  * New maintainer. (Closes: #878718)
  * Do not hide from init if service should be started or not. Consequently:
      - debian/default: removed RUN parameter.
      - debian/init: removed dependency on RUN parameter in order to start.
  * Use new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/changelog: removed trailing whitespaces.
  * debian/control:
      - Bumped Standards-Version to 4.3.0.
      - Removed dh-autoreconf build dependency.
  * debian/copyright:
      - Added rights for Marc Bigler in packaging block.
      - Updated the packaging copyright years.
      - Use https:// in Format field.
  * debian/upstream/metadata: added upstream metadata file.

 -- Marc Bigler <marc@towards.ch>  Sun, 17 Mar 2019 13:48:33 +0100

darkice (1.3-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the upstream fix for the FTBFS with libsamplerate 0.1.9.
    (Closes: #873861)

 -- Adrian Bunk <bunk@debian.org>  Sat, 14 Oct 2017 12:17:23 +0300

darkice (1.3-0.1) unstable; urgency=medium

  * Non-maintainer upload. Closes: #833022.
  * New upstream release. Build-Depend: pkg-config.
  * Switch copyright file to 1.0 machine-readable format.
    Fix GPL version: 3+ instead of 2+.
  * Enable all hardening flags.  Link with --as-needed -z defs.
  * Explicitly disable aacplus to ensure reproducible builds
    even if the library is available on the build system.
  * Standards-Versions: 3.9.8. Explain status of init script in description.
  * Let architecture.mk from dpkg-dev>=1.16.1 set DEB_HOST_MULTIARCH.
  * Update homepage, watch file and README.debian (mp3lame is now supported).
  * Remove redundant files (clean dirs) and configure options (prefix).

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 05 Aug 2016 21:42:22 +0200

darkice (1.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to prevent FTBFS on kfreebsd.

 -- Alessio Treglia <alessio@debian.org>  Fri, 20 Jun 2014 17:16:25 +0100

darkice (1.2-0.1) unstable; urgency=low

  [ Alessio Treglia ]
  * Non-maintainer upload.
  * New upstream release (Closes: #740870):
    - Fixed a call to a deprecated jack call (Closes: #723068)
  * Remove --wtihout-lame from configure arguments to enable LAME
    support and libmp3lame-dev to Build-Depends. (Closes: #647000)
  * Switch to dh-autoreconf for automatic autoconf config file updating.
  * Pass ---with-$LIB-prefix to configure in order to to make the buildsystem
    find the dependencies in multiarch paths.
  * Refresh patches.

  [ Unit 193 <unit193@ubuntu.com> ]
  * d/control: Add build-dep on libpulse-dev, libsamplerate0-dev, libopus-dev.
  * d/control: Remove Debian note about only having ogg support.
  * d/control: Use debhelper 9.
  * d/watch: Update from bartm, thanks.

 -- Alessio Treglia <alessio@debian.org>  Thu, 19 Jun 2014 13:55:00 +0100

darkice (1.0-1) unstable; urgency=low

  * New upstream release
    o fixed a bug in BufferedSink.cpp that leads to some buffers
      being written twice, causing corruption of datastream,
      closes ticked #20
      thanks to Edwin van den Oetelaar <oetelaar.automatisering@gmail.com>
    o implemented samplerate conversion for all codecs using libsamplerate,
      and keeping internal aflibConverter as fallback,
      thanks to Sergiy <piratfm@gmail.com>
    o bugfix: fix for alsa driver - closes ticked #8
      thanks to Clemens Ladisch <clemens@ladisch.de>
  * Bump Standards version to 3.9.2
  * Update watch file

 -- Jochen Friedrich <jochen@scram.de>  Tue, 31 May 2011 17:46:15 +0200

darkice (0.20.1-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards version to 3.8.4
  * Change homepage to new location
  * Fix init script dependency on $remote_fs

 -- Jochen Friedrich <jochen@scram.de>  Fri, 07 May 2010 15:57:06 +0200

darkice (0.20.1-2) unstable; urgency=low

  * Add #include <stdio.h> in two places to allow compilation with
    gcc 4.4 (Closes: #560431). Thanks to Cyril Brulebois <kibi@debian.org>
    for the patch.

 -- Jochen Friedrich <jochen@scram.de>  Fri, 11 Dec 2009 17:23:38 +0100

darkice (0.20.1-1) unstable; urgency=low

  * New upstream release
    o added rc.darkice init script
      thanks to Niels Dettenbach <nd@syndicat.com>
    o bugfix: fix for gcc 4.4
  * Removed upstream applied patch 04_fix_const.diff
  * Confirmed that autogenerated files are present in the upstream tarball.
    It looks like upstream sometimes silently updates the (orig) package
    (Closes: #559736).
  * Update copyright file.
  * Provide a start stop script for automatic operation (Closes: #283485)

 -- Jochen Friedrich <jochen@scram.de>  Thu, 10 Dec 2009 17:54:30 +0100

darkice (0.20-1) unstable; urgency=low

  * New upstream release
    o new maintainer: Rafael Diniz <rafael@riseup.net>
    o added AAC HEv2 encoding support (branch darkice-aacp merged) through
          libaacplus, http://tipok.org.ua/ru/node/17
          thanks to tipok <piratfm@gmail.com> and others for the contribution.
    o bugfix: the configure script recognizes Ogg Vorbis shared objects
          now, not just static libraries. Thanks to omroepvenray.
    o bugfix: enabling jack source compilation on Debian Lenny,
          thanks to Alessandro Beretta <alessandro.baretta@radiomaria.org>

 -- Jochen Friedrich <jochen@scram.de>  Tue, 10 Nov 2009 13:28:08 +0100

darkice (0.19-2) unstable; urgency=low

  * Change watch file to google code.
  * Add fix for eglibc (Closes: #548515). Thanks to Stefan Potyra
    <sistpoty@ubuntu.com> for the patch.
  * Updated policy to 3.8.3.
  * Replace dpatch by quilt and use debheler overrides.
  * Add README.source.
  * Update config.(guess,sub) from autotools-dev.
  * Suggesting darksnow (Closes: #514548).
  * Depend on libjack-dev (Closes: #527411).
  * Add patch to fix HTTP request (Closes: #441281).

 -- Jochen Friedrich <jochen@scram.de>  Thu, 15 Oct 2009 18:31:09 +0200

darkice (0.19-1) unstable; urgency=low

  * New upstream release
    o added mount point option for Darwin Streaming Server
      thanks to Pierre Souchay <pierre@souchay.net>
    o fix for some reliablity issues when using a Jack source
      thanks to Pierre Souchay <pierre@souchay.net>
    o enable easier finding of jack libraries on MacOS X,
      thanks to Daniel Hazelbaker <daniel@highdesertchurch.com>
    o added ability to specify name of jack device created by darkice,
      thanks to Alessandro Beretta <alessandro.baretta@radiomaria.org>
  * Updated policy to 3.8.0
  * Add homepage to control file
  * Update debhelper to 7, replacing CDBS.
  * Add dpatch system.

 -- Jochen Friedrich <jochen@scram.de>  Mon, 14 Jul 2008 18:14:00 +0200

darkice (0.18.1-1) unstable; urgency=low

  * New upstream release
    o enable real-time scheduling for non-super-users, if they have
      the proper operating system permissions,
      thanks to Jens Maurer <Jens.Maurer@gmx.net>
    o fix to enable compliation of the Serial ULAW code on MacOS X,
      thanks to Elod Horvath <elod@itfais.com>
    o added serial ulaw input device support, thanks to
      Clyde Stubbs <clyde@htsoft.com>
    o improvements on reconnecting:
      added TCP connection keep-alive to TCP sockets
      added graceful sleep when trying to reconnect
    o added user-defined date formatting for the fileAddDate options,
      thanks to dsk <derrick@csociety.org>
    o added logging facility - [file-X] targets will cut the saved file
      and rename it as needed when darkice recieves the SIGUSR1 signal
    o added default configuration file handling - if no configuration file
      is specified, /etc/darkice.cfg is used
    o fix to enable compiling on 64 bit platforms
      thanks to Alexander Vlasov <zulu@galaradio.com> and
      Mariusz Mazur <mmazur@kernel.pl>
    o fix to enable file dump feature using ogg vorbis.
      thanks to dsk <derrick@csociety.org>
    o fix to enable compiling with jack installed at arbitrary locations
  * Fix dependencies for non-Linux systems (Closes: #399199)
  * Add patch for gcc-4.3 support (Closes: #417146)
  * Update watch file

 -- Jochen Friedrich <jochen@scram.de>  Wed, 02 May 2007 17:54:45 +0200

darkice (0.17.1-3) unstable; urgency=low

  * Fix FTBFS on 64bit archs.
  * Use patch system.

 -- Jochen Friedrich <jochen@scram.de>  Fri, 28 Jul 2006 16:46:41 +0200

darkice (0.17.1-2) unstable; urgency=low

  * Don't use ALSA on Freebsd (Closes: #327677)
  * Depend on libtwolame-dev and configure --without-faac to make build
    deterministic (Closes: #377655)

 -- Jochen Friedrich <jochen@scram.de>  Fri, 28 Jul 2006 14:41:32 +0200

darkice (0.17.1-1) unstable; urgency=low

  * New upstream release
    o bugfix: automatic reconnect works more reliably
  * Updated Standards-Version to 3.7.2 (no change)

 -- Jochen Friedrich <jochen@scram.de>  Fri, 26 May 2006 18:55:28 +0200

darkice (0.17-1) unstable; urgency=low

  * New upstream release
    o added check for bufferSecs set to 0
      thanks to Toph <fangiotophia@gmail.com>
    o added realtime parameter to the general section
    o added MPEG2 support through the TwoLame library.
      thanks to Nicholas J Humfrey <njh@ecs.soton.ac.uk>

 -- Jochen Friedrich <jochen@scram.de>  Sat, 11 Mar 2006 12:57:33 +0100

darkice (0.16-1) unstable; urgency=low

  * New upstream release
    o added AAC support through the faac codec, http://www.audiocoding.com
    o bug fix: icecast2 sections didn't honor lowpass or highpass filters
      when using the mp3 format

 -- Jochen Friedrich <jochen@scram.de>  Mon, 31 Oct 2005 15:52:24 +0100

darkice (0.15-2) unstable; urgency=low

  * Updated libjack to libjack0.100.0 (Closes: #316671)
  * Updated Standards-Version to 3.6.2 (no change)

 -- Jochen Friedrich <jochen@scram.de>  Wed,  6 Jul 2005 20:28:27 +0200

darkice (0.15-1) unstable; urgency=low

  * New upstream release
    o ported to OpenBSD and NetBSD, though real-time scheduling not supported,
      since it is not implemented in OpenBSD / NetBSD
    o added possibility to downsample from stereo to mono when encoding
      to Ogg Vorbis, thanks to Deti Fliegl, <deti@fliegl.de>
    o added support for Jack inputs, enabling a lot of interesting usage,
      including support for MacOS X.  Thanks to Nicholas J. Humfrey
      <njh@ecs.soton.ac.uk>
    o various improvements by Joel Ebel <jbebel@ncsu.edu>
    o added option to turn off automatic reconnect feature
    o added IPv6 support, thanks to <jochen2@users.sourceforge.net>
  * Fixed spellig mistake. Thanks to mike castleman <m@mlcastle.net>.
    (Closes: #280984)
  * Fix for gcc4.0 issues. Thanks to Andreas Jochens <aj@andaco.de>.
    (Closes: #285614)

 -- Jochen Friedrich <jochen@scram.de>  Sat,  2 Jul 2005 12:10:33 +0200

darkice (0.14-1) unstable; urgency=low

  * New upstream release
    o added ALSA support, thanks to Christian Forster
      <forster@like.e-technik.uni-erlangen.de>
    o added fix to enable downsampling from stereo to mono of mp3 streams
      when streaming to an icecast2 server. thanks to John Deeny
      <taqueso@dilapidated.org>
    o removed _X and _Y symbols from aflibConverter files, which caused
      a naming collision on Solaris. thanks to Robert Lunnon,
      <bobl@optushome.com.au>
    o bug fix: ogg vorbis recording to only a file caused a segfault.
      now fixed, thanks to Enrico Ardizzoni <craken@users.sourceforge.net>
  * Fixed debian/copyright file

 -- Jochen Friedrich <jochen@scram.de>  Fri, 20 Feb 2004 21:03:29 +0100

darkice (0.13.1-1) unstable; urgency=low

  * New upstream.
  * Changed build system to cdbs.
  * Completed debianization. (Closes #112701)
  * Replaced conffile by example configuration
  * Updated policy to 3.6.1

 -- Jochen Friedrich <jochen@scram.de>  Fri, 22 Aug 2003 15:43:37 +0200

darkice (0.10.1-1) unstable; urgency=low

  * New upstream, vorbis 1.0 support.

 -- Maitland Bottoms <bottoms@debian.org>  Fri,  2 Aug 2002 16:43:20 -0400

darkice (0.7-1) unstable; urgency=low

  * Initial Release.

 -- Maitland Bottoms <bottoms@debian.org>  Mon,  3 Dec 2001 14:17:17 -0500
